Detect version of libblkid and act accordingly.
[nfs-utils.git] / Makefile.am
index 8298aa0..ec8e832 100644 (file)
@@ -35,10 +35,13 @@ EXTRA_DIST = \
        debian/nhfsstone.prerm \
        debian/rules \
        \
+       aclocal/bsdsignals.m4 \
        aclocal/nfs-utils.m4 \
        aclocal/kerberos5.m4 \
        aclocal/tcp-wrappers.m4
 
+ACLOCAL_AMFLAGS = -I aclocal
+
 install-data-hook:
        if [ ! -d $(DESTDIR)$(statedir) ]; then mkdir -p $(DESTDIR)$(statedir); fi
        touch $(DESTDIR)$(statedir)/xtab; chmod 644 $(DESTDIR)$(statedir)/xtab
@@ -47,7 +50,7 @@ install-data-hook:
        mkdir -p $(DESTDIR)$(statedir)/sm $(DESTDIR)$(statedir)/sm.bak
        touch $(DESTDIR)$(statedir)/state
        chmod go-rwx $(DESTDIR)$(statedir)/sm $(DESTDIR)$(statedir)/sm.bak $(DESTDIR)$(statedir)/state
-       chown $(statduser) $(DESTDIR)$(statedir)/sm $(DESTDIR)$(statedir)/sm.bak $(DESTDIR)$(statedir)/state
+       -chown $(statduser) $(DESTDIR)$(statedir)/sm $(DESTDIR)$(statedir)/sm.bak $(DESTDIR)$(statedir)/state
 
 uninstall-hook:
        rm $(DESTDIR)$(statedir)/xtab